Xalan-Java 2.7.1: Class DecimalFormatProperties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class DecimalFormatProperties

    java.lang.Object
      |
      +--org.apache.xml.utils.UnImplNode
            |
            +--org.apache.xalan.templates.ElemTemplateElement
                  |
                  +--org.apache.xalan.templates.DecimalFormatProperties

public class DecimalFormatProperties
extends ElemTemplateElement

Implement xsl:decimal-format.

See Also:
  format-number in XSLT Specification, Serialized Form
Usage:
  **For advanced use only**

Constructor Summary
`DecimalFormatProperties(int docOrderNumber)` Constructor DecimalFormatProperties

Method Summary
`java.text.DecimalFormatSymbols` | `getDecimalFormatSymbols()` Return the decimal format Symbols for this element.
`char` | `getDecimalSeparator()` Get the "decimal-separator" attribute.
`char` | `getDigit()` Get the "digit" attribute.
`char` | `getGroupingSeparator()` Get the "grouping-separator" attribute.
`java.lang.String` | `getInfinity()` Get the "infinity" attribute.
`char` | `getMinusSign()` Get the "minus-sign" attribute.
`QName` | `getName()` Get the "name" attribute.
`java.lang.String` | `getNaN()` Get the "NaN" attribute.
`java.lang.String` | `getNodeName()` Return the node name.
`char` | `getPatternSeparator()` Get the "pattern-separator" attribute.
`char` | `getPercent()` Get the "percent" attribute.
`char` | `getPerMille()` Get the "per-mille" attribute.
`int` | `getXSLToken()` Get an int constant identifying the type of element.
`char` | `getZeroDigit()` Get the "zero-digit" attribute.
`void` | `recompose(StylesheetRoot root)` This function is called to recompose() all of the decimal format properties elements.
`void` | `setDecimalSeparator(char ds)` Set the "decimal-separator" attribute.
`void` | `setDigit(char v)` Set the "digit" attribute.
`void` | `setGroupingSeparator(char gs)` Set the "grouping-separator" attribute.
`void` | `setInfinity(java.lang.String inf)` Set the "infinity" attribute.
`void` | `setMinusSign(char v)` Set the "minus-sign" attribute.
`void` | `setName(QName qname)` Set the "name" attribute.
`void` | `setNaN(java.lang.String v)` Set the "NaN" attribute.
`void` | `setPatternSeparator(char v)` Set the "pattern-separator" attribute.
`void` | `setPercent(char v)` Set the "percent" attribute.
`void` | `setPerMille(char v)` Set the "per-mille" attribute.
`void` | `setZeroDigit(char v)` Set the "zero-digit" attribute.

Methods inherited from class org.apache.xalan.templates.ElemTemplateElement
`appendChild, appendChild, callVisitors, canAcceptVariables, canStripWhiteSpace, compareTo, compose, containsExcludeResultPrefix, endCompose, error, error, execute, exprAddChild, exprGetChild, exprGetNumChildren, exprGetParent, exprSetParent, getBaseIdentifier, getChildNodes, getColumnNumber, getDeclaredPrefixes, getDOMBackPointer, getEndColumnNumber, getEndLineNumber, getFirstChild, getFirstChildElem, getLastChild, getLastChildElem, getLength, getLineNumber, getLocalName, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNextSiblingElem, getNodeType, getOwnerDocument, getOwnerXSLTemplate, getParentElem, getParentNode, getParentNodeElem, getPreviousSibling, getPreviousSiblingElem, getPublicId, getStylesheet, getStylesheetComposed, getStylesheetRoot, getSystemId, getTagName, getUid, getXmlSpace, handlesNullPrefixes, hasChildNodes, hasTextLitOnly, hasVariableDecl, insertBefore, isCompiledTemplate, item, removeChild, replaceChild, replaceChild, resolvePrefixTables, runtimeInit, setDOMBackPointer, setEndLocaterInfo, setLocaterInfo, setParentElem, setPrefixes, setPrefixes, setUid, setXmlSpace, shouldStripWhiteSpace`

Methods inherited from class org.apache.xml.utils.UnImplNode
`adoptNode, appendData, cloneNode, compareDocumentPosition, createAttribute, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createElement, createElementNS, createEntityReference, createProcessingInstruction, createTextNode, deleteData, getActualEncoding, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getFeature, getImplementation, getInputEncoding, getNamespaceURI, getNodeValue, getOwnerElement, getPrefix, getSchemaTypeInfo, getSpecified, getStrictErrorChecking, getTextContent, getUserData, getWholeText, getXmlEncoding, getXmlStandalone, getXmlVersion, hasAttribute, hasAttributeNS, hasAttributes, importNode, insertData, isDefaultNamespace, isEqualNode, isId, isSameNode, isSupported, isWhitespaceInElementContent, lookupNamespaceURI, lookupPrefix, normalize, normalizeDocument, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, renameNode, replaceData, replaceWholeText, setActualEncoding, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setData, setDocumentURI, setIdAttribute, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setInputEncoding, setNodeValue, setPrefix, setStrictErrorChecking, setTextContent, setUserData, setValue, setXmlEncoding, setXmlStandalone, setXmlVersion, splitText, substringData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecimalFormatProperties

    public DecimalFormatProperties(int docOrderNumber)

  Constructor DecimalFormatProperties

Method Detail

### getDecimalFormatSymbols

    public java.text.DecimalFormatSymbols getDecimalFormatSymbols()

  Return the decimal format Symbols for this element.

  The xsl:decimal-format element declares a decimal-format, which controls the interpretation of a format pattern used by the format-number function. If there is a name attribute, then the element declares a named decimal-format; otherwise, it declares the default decimal-format. The value of the name attribute is a QName, which is expanded as described in [2.4 Qualified Names]. It is an error to declare either the default decimal-format or a decimal-format with a given name more than once (even with different import precedence), unless it is declared every time with the same value for all attributes (taking into account any default values).

  The other attributes on xsl:decimal-format correspond to the methods on the JDK 1.1 DecimalFormatSymbols class. For each get/set method pair there is an attribute defined for the xsl:decimal-format element.

  Returns:
    the decimal format Symbols for this element.

### setName

    public void setName(QName qname)

  Set the "name" attribute. If there is a name attribute, then the element declares a named decimal-format; otherwise, it declares the default decimal-format.
  Parameters:
    `qname` - The name to set as the "name" attribute.

### getName

    public QName getName()

  Get the "name" attribute. If there is a name attribute, then the element declares a named decimal-format; otherwise, it declares the default decimal-format.
  Returns:
    the value of the "name" attribute.

### setDecimalSeparator

    public void setDecimalSeparator(char ds)

  Set the "decimal-separator" attribute. decimal-separator specifies the character used for the decimal sign; the default value is the period character (.).
  Parameters:
    `ds` - Character to set as decimal separator

### getDecimalSeparator

    public char getDecimalSeparator()

  Get the "decimal-separator" attribute. decimal-separator specifies the character used for the decimal sign; the default value is the period character (.).
  Returns:
    the character to use as decimal separator

### setGroupingSeparator

    public void setGroupingSeparator(char gs)

  Set the "grouping-separator" attribute. grouping-separator specifies the character used as a grouping (e.g. thousands) separator; the default value is the comma character (,).
  Parameters:
    `gs` - Character to use a grouping separator

### getGroupingSeparator

    public char getGroupingSeparator()

  Get the "grouping-separator" attribute. grouping-separator specifies the character used as a grouping (e.g. thousands) separator; the default value is the comma character (,).
  Returns:
    Character to use a grouping separator

### setInfinity

    public void setInfinity(java.lang.String inf)

  Set the "infinity" attribute. infinity specifies the string used to represent infinity; the default value is the string Infinity.
  Parameters:
    `inf` - String to use as the "infinity" attribute.

### getInfinity

    public java.lang.String getInfinity()

  Get the "infinity" attribute. infinity specifies the string used to represent infinity; the default value is the string Infinity.
  Returns:
    String to use as the "infinity" attribute.

### setMinusSign

    public void setMinusSign(char v)

  Set the "minus-sign" attribute. minus-sign specifies the character used as the default minus sign; the default value is the hyphen-minus character (-, #x2D).
  Parameters:
    `v` - Character to use as minus sign

### getMinusSign

    public char getMinusSign()

  Get the "minus-sign" attribute. minus-sign specifies the character used as the default minus sign; the default value is the hyphen-minus character (-, #x2D).
  Returns:
    Character to use as minus sign

### setNaN

    public void setNaN(java.lang.String v)

  Set the "NaN" attribute. NaN specifies the string used to represent the NaN value; the default value is the string NaN.
  Parameters:
    `v` - String to use as the "NaN" attribute.

### getNaN

    public java.lang.String getNaN()

  Get the "NaN" attribute. NaN specifies the string used to represent the NaN value; the default value is the string NaN.
  Returns:
    String to use as the "NaN" attribute.

### getNodeName

    public java.lang.String getNodeName()

  Return the node name.
  Returns:
    the element's name
  Overrides:
    getNodeName in class ElemTemplateElement

### setPercent

    public void setPercent(char v)

  Set the "percent" attribute. percent specifies the character used as a percent sign; the default value is the percent character (%).
  Parameters:
    `v` - Character to use as percent

### getPercent

    public char getPercent()

  Get the "percent" attribute. percent specifies the character used as a percent sign; the default value is the percent character (%).
  Returns:
    Character to use as percent

### setPerMille

    public void setPerMille(char v)

  Set the "per-mille" attribute. per-mille specifies the character used as a per mille sign; the default value is the Unicode per-mille character (#x2030).
  Parameters:
    `v` - Character to use as per-mille

### getPerMille

    public char getPerMille()

  Get the "per-mille" attribute. per-mille specifies the character used as a per mille sign; the default value is the Unicode per-mille character (#x2030).
  Returns:
    Character to use as per-mille

### getXSLToken

    public int getXSLToken()

  Get an int constant identifying the type of element.
  Returns:
    The token ID for this element
  Overrides:
    getXSLToken in class ElemTemplateElement
  See Also:
    `Constants`

### setZeroDigit

    public void setZeroDigit(char v)

  Set the "zero-digit" attribute. zero-digit specifies the character used as the digit zero; the default value is the digit zero (0).
  Parameters:
    `v` - Character to use as the digit zero

### getZeroDigit

    public char getZeroDigit()

  Get the "zero-digit" attribute. zero-digit specifies the character used as the digit zero; the default value is the digit zero (0).
  Returns:
    Character to use as the digit zero

### setDigit

    public void setDigit(char v)

  Set the "digit" attribute. digit specifies the character used for a digit in the format pattern; the default value is the number sign character (#).
  Parameters:
    `v` - Character to use for a digit in format pattern

### getDigit

    public char getDigit()

  Get the "digit" attribute. digit specifies the character used for a digit in the format pattern; the default value is the number sign character (#).
  Returns:
    Character to use for a digit in format pattern

### setPatternSeparator

    public void setPatternSeparator(char v)

  Set the "pattern-separator" attribute. pattern-separator specifies the character used to separate positive and negative sub patterns in a pattern; the default value is the semi-colon character (;).
  Parameters:
    `v` - Character to use as a pattern separator

### getPatternSeparator

    public char getPatternSeparator()

  Get the "pattern-separator" attribute. pattern-separator specifies the character used to separate positive and negative sub patterns in a pattern; the default value is the semi-colon character (;).
  Returns:
    Character to use as a pattern separator

### recompose

    public void recompose(StylesheetRoot root)

  This function is called to recompose() all of the decimal format properties elements.
  Parameters:
    `root` - Stylesheet root
  Overrides:
    recompose in class ElemTemplateElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.